Name: chicken
Version: 2.5
Release: alt1
License: BSD style (see LICENSE)
Group: Development/Scheme
Url: http://www.call-with-current-continuation.org/chicken.html
Source: %name-%version.tar.bz2
Requires: libchicken-devel = %version-%release
Summary: CHICKEN is a simple Scheme-to-C compiler
Summary(ru_RU.KOI8-R): CHICKEN -    Scheme  C

# Automatically added by buildreq on Sat Nov 01 2003

%description
CHICKEN is a simple Scheme-to-C compiler supporting the language features as
defined in the 'Revised^5 Report on Scheme'. CHICKEN generates quite
portable C code, linkage to C modules and C library functions is
straightforward, compiled programs can easily be embedded into existing C
code, loads of extra libraries.

%description -l ru_RU.KOI8-R
CHICKEN --     Scheme  C,  
,    'Revised^5 Report on Scheme'. CHICKEN 
    C,     C
 ,       
   C,   .

%package -n libchicken
Summary: Runtime libraries for programs produced with chicken compiler
Group: System/Libraries

%description -n libchicken
Runtime libraries for programs produced with chicken compiler

%package -n libchicken-unsafe
Summary: Faster runtime libraries for programs produced with chicken compiler
Group: System/Libraries

%description -n libchicken-unsafe
Faster runtime libraries for programs produced with chicken compiler

%package -n libchicken-devel
Summary: Development libraries for using with chicken scheme-to-c compiler
Group: Development/Scheme
Requires: libchicken = %version-%release
Requires: libchicken-unsafe = %version-%release

%description -n libchicken-devel
Development libraries for using with chicken scheme-to-c compiler

%package -n libchicken-devel-static
Summary: Static libraries for using with chicken scheme-to-c compiler
Group: Development/Scheme
Requires: libchicken-devel = %version-%release

%description -n libchicken-devel-static
Static libraries for using with chicken scheme-to-c compiler

%prep
%setup -q

%build
%add_optflags -fno-strict-aliasing -Wno-unused -Wno-uninitialized
autoreconf -fisv
%configure

%install
make install DESTDIR=$RPM_BUILD_ROOT
rm -rf %buildroot%_datadir/%name/doc

%files
%doc ChangeLog INSTALL html hen.el
%_bindir/chicken
%_bindir/csi
%_bindir/csc
%_bindir/chicken-profile
%_bindir/chicken-setup
%dir %_libdir/%name
%_datadir/%name
%_man1dir/*

%files -n libchicken
%_libdir/libchicken.so.*

%files -n libchicken-unsafe
%_libdir/libuchicken.so.*

%files -n libchicken-devel
%_libdir/lib*.so
%_includedir/*

%files -n libchicken-devel-static
%_libdir/lib*.a

%changelog
* Wed Jan 10 2007 Alexey Voinov <voins@altlinux.ru> 2.5-alt1
- new version (2.5)
- alt-makefile patch removed (obsolete)


* Sun Oct 02 2005 Alexey Voinov <voins@altlinux.ru> 2.2-alt1
- new version (2.2)

* Sun Jul 24 2005 Alexey Voinov <voins@altlinux.ru> 2.0-alt1
- new version (2.0)

* Mon Feb 21 2005 Alexey Voinov <voins@altlinux.ru> 1.89-alt1
- new version (1.89)

* Fri Oct 29 2004 Alexey Voinov <voins@altlinux.ru> 1.66-alt1
- new version (1.66)
- warnings suppressed (temporarily I hope)
- url fixed
- split into multiple subpackages

* Tue Feb 03 2004 Ott Alex <ott@altlinux.ru> 1.33-alt1
- New release

* Sat Nov 01 2003 Ott Alex <ott@altlinux.ru> 1.22-alt1
- New main release

* Sun Sep 21 2003 Ott Alex <ott@altlinux.ru> 1.17-alt2
- removing make_build

* Tue Sep 02 2003 Ott Alex <ott@altlinux.ru> 1.17-alt1
- New main release

* Mon Jun 23 2003 Ott Alex <ott@altlinux.ru> 1.12-alt2
- Fixing build deps

* Sun Jun 22 2003 Ott Alex <ott@altlinux.ru> 1.12-alt1
- Initial build for ALTLinux
